from distutils.core import setup
import py2exe

py2exe_options = dict(
					ascii=True,  # Exclude encodings
					excludes=['_ssl',  # Exclude _ssl
						'pyreadline', 'difflib', 'doctest', 'locale',
						'optparse', 'pickle', 'calendar'],  # Exclude standard library
					dll_excludes=['msvcr71.dll'],  # Exclude msvcr71
					compressed=True,  # Compress library.zip
					)

setup(
		console=['knpextract.py', 'knpgen.py', 'knpmangle.py'], 
		options={'py2exe': py2exe_options}, 
		data_files=['knp_pal.png', "gifsicle.exe", "ReadMe.txt", "license.txt", "COPYING.gifsicle"],
		
		name='KNPUtil',
		version='1.0',
		description='Extracts graphic, sound, and music resources from Klik & Play games',
		author='Jeremy Penner'
	)